GlueGen: com.jogamp.common.GlueGenVersion Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Static Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
com.jogamp.common.GlueGenVersion Class Reference
Inheritance diagram for com.jogamp.common.GlueGenVersion:
Collaboration diagram for com.jogamp.common.GlueGenVersion:

## Classes

class | GluGenRTJarSHASum
| `gluegen-rt.jar` definition of `SHASum.TempJarSHASum`'s specialization of `SHASum`. More...

## Static Public Member Functions

static GlueGenVersion | getInstance ()
static void | main (final String args[])

## Protected Member Functions

| GlueGenVersion (final Manifest mf)
Protected Member Functions inherited from com.jogamp.common.util.JogampVersion
| JogampVersion (final Manifest mf)

## Static Protected Attributes

static volatile GlueGenVersion | jogampCommonVersionInfo

## Additional Inherited Members

Public Member Functions inherited from com.jogamp.common.util.JogampVersion
final int | hashCode ()
final boolean | equals (final Object o)
final Manifest | getManifest ()
final String | getPackageName ()
final String | getAttribute (final Attributes.Name attributeName)
final String | getAttribute (final String attributeName)
final Attributes.Name | getAttributeName (final String attributeName)
final Set<?> | getAttributeNames ()
final String | getExtensionName ()
final String | getImplementationBuild ()
| Returns the implementation build number, e.g. More...
final String | getImplementationBranch ()
| Returns the SCM branch name. More...
final String | getImplementationCommit ()
| Returns the SCM version of the last commit, e.g. More...
final String | getImplementationSHASources ()
| Returns the SHA of all concatenated source files of the whole project. More...
final String | getImplementationSHAClasses ()
| Returns the SHA of all concatenated class files of all build classes. More...
final String | getImplementationSHAClassesThis ()
| Returns the SHA of all concatenated class files of the local (jar) package subset. More...
final String | getImplementationSHANatives ()
| Returns the SHA of all concatenated native library files of all build libs. More...
final String | getImplementationSHANativesThis ()
| Returns the SHA of all concatenated native library files of the local (jar) package subset. More...
final String | getImplementationTitle ()
final String | getImplementationVendor ()
final String | getImplementationVendorID ()
final String | getImplementationURL ()
final String | getImplementationVersion ()
| Returns the `IMPLEMENTATION_VERSION`. More...
final String | getAndroidPackageVersionName ()
final String | getSpecificationTitle ()
final String | getSpecificationVendor ()
final String | getSpecificationVersion ()
final StringBuilder | getFullManifestInfo (final StringBuilder sb)
StringBuilder | getManifestInfo (StringBuilder sb)
StringBuilder | toString (StringBuilder sb)
String | toString ()
Static Public Attributes inherited from com.jogamp.common.util.JogampVersion
static final Attributes.Name | IMPLEMENTATION_BUILD = new Attributes.Name("Implementation-Build")
| See `getImplementationBuild()`. More...
static final Attributes.Name | IMPLEMENTATION_BRANCH = new Attributes.Name("Implementation-Branch")
| See `getImplementationBranch()`. More...
static final Attributes.Name | IMPLEMENTATION_COMMIT = new Attributes.Name("Implementation-Commit")
| See `getImplementationCommit()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_SOURCES = new Attributes.Name("Implementation-SHA-Sources")
| See `getImplementationSHASources()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_CLASSES = new Attributes.Name("Implementation-SHA-Classes")
| See `getImplementationSHAClasses()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_CLASSES_THIS = new Attributes.Name("Implementation-SHA-Classes-this")
| See `getImplementationSHAClassesThis()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_NATIVES = new Attributes.Name("Implementation-SHA-Natives")
| See `getImplementationSHANatives()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_NATIVES_THIS = new Attributes.Name("Implementation-SHA-Natives-this")
| See `getImplementationSHANativesThis()`. More...

## Detailed Description

Definition at line 44 of file GlueGenVersion.java.

## Constructor & Destructor Documentation

## ◆ GlueGenVersion()

com.jogamp.common.GlueGenVersion.GlueGenVersion | ( | final Manifest | mf | ) |

protected

Definition at line 48 of file GlueGenVersion.java.

Here is the caller graph for this function:

## Member Function Documentation

## ◆ getInstance()

static GlueGenVersion com.jogamp.common.GlueGenVersion.getInstance | ( |  | ) |

static

Definition at line 52 of file GlueGenVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ main()

static void com.jogamp.common.GlueGenVersion.main | ( | final String | args[] | ) |

static

Definition at line 101 of file GlueGenVersion.java.

Here is the call graph for this function:

## Member Data Documentation

## ◆ jogampCommonVersionInfo

volatile GlueGenVersion com.jogamp.common.GlueGenVersion.jogampCommonVersionInfo

staticprotected

Definition at line 46 of file GlueGenVersion.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/GlueGenVersion.java